module.exports = {
	"account" : {
		"getAccount" : {
			"path" : ""
		},
		"updateAccount" : {
			"path" : "",
			"method" : "POST"
		},
		"createSubAccount" : {
			"path" : "",
			"method" : "POST"
		}
	},
	"sms": {
		"sendSMS": {
			"path": "/SMS/Messages",
			"method" : "POST"
		},
		"getSMS": {
			"path": "/SMS/Messages/{SMSMessageSid}"
		},
		"allSMS": {
			"path": "/SMS/Messages"
		}
	},
	"calls" : {
		"getCall" : {
			"path" : "/Calls/{CallSid}"
		},
		"makeCall" : {
			"path" : "/Calls",
			"method" : "POST"
		}
	},
	"conference" : {
		"getAllConferences" : {
			"path" : "/Conferences"
		},
		"getConference" : {
			"path" : "/Conferences/{ConferenceSid}"
		},
		"getConferenceParticipants" : {
			"path" : "/Conferences/{ConferenceSid}/Participants"
		},
		"kickParticipant" : {
			"path" : "/Conferences/{ConferenceSid}/Participants/{CallSid}",
			"method" : "DELETE"
		},
		"updateParticipantStatus" : {
			"path" : "/Conferences/{ConferenceSid}/Participants/{CallSid}",
			"method" : "POST"
		},
	},
	"queues" : {
		"getAllQueues" : {
			"path" : "/Queues"
		},
		"getQueue" : {
			"path" : "/Queues/{QueueSid}"
		},
		"createQueue" : {
			"path" : "/Queues",
			"method" : "POST"
		},
		"updateQueue" : {
			"path" : "/Queues/{QueueSid}",
			"method" : "POST"
		},
		"deleteQueue" : {
			"path" : "/Queues/{QueueSid}",
			"method" : "DELETE"
		},
		"getAllMembers" : {
			"path" : "/Queues/{QueueSid}/Members"
		},
		"getMember" : {
			"path" : "/Queues/{QueueSid}/Members/{CallSid}"
		},
		"getFrontMember" : {
			"path" : "/Queues/{QueueSid}/Members/Front"
		},
		"dequeueMember" : {
			"path" : "/Queues/{QueueSid}/Members/{CallSid}",
			"method" : "POST"
		},
		"dequeueFront" : {
			"path" : "/Queues/{QueueSid}/Members/Front",
			"method" : "POST"
		}
	},
	"shortcodes" : {
		"getAllShortCodes" : {
			"path" : "/SMS/ShortCodes"
		},
		"getShortCode" : {
			"path" : "/SMS/ShortCodes/{ShortCodeSid}"
		},
		"updateShortCode" : {
			"path" : "/SMS/ShortCodes/{ShortCodeSid}",
			"method" : "POST"
		}  
	},
	"recordings" : {
		"getRecording" : {
			"path" : "/Recordings/{RecordingSid}"
		},		
		"getAllRecordings" : {
			"path" : "/Recordings"
		},
		"getAllRecordingsTranscriptions" : {
			"path" : "/Recordings/{RecordingSid}/Transcriptions"
		},
		"getAllRecordingsFromCall" : {
			"path" : "/Calls/{CallSid}/Recordings"
		}
	},
	"transcriptions" : {
		"getTranscription" : {
			"path" : "/Transcriptions/{TranscriptionSid}"
		},		
		"getAllTranscriptions" : {
			"path" : "/Transcriptions"
		},
		"getAllRecordingsTranscriptions" : {
			"path" : "/Recordings/{RecordingSid}/Transcriptions"
		},
		"deleteTranscription" : {
			"path" : "/Transcriptions/{TranscriptionSid}",
			"method" : "DELETE"
		}
	},
	"notifications" : {
		"getNotification" : {
			"path" : "/Notifications/{NotificationSid}"
		},		
		"getAllNotifications" : {
			"path" : "/Notifications"
		},
		"getAllRecordingsFromCall" : {
			"path" : "/Calls/{CallSid}/Notifications"
		},
		"deleteNotification" : {
			"path" : "/Notifications/{NotificationSid}",
			"method" : "DELETE"
		}
	},
	"usage" : {
		"records" : {
			"path" : "/Usage/Records"
		},
		"recordsSubresources" : {
			"path" : "/Usage/Records/{Subresource}"
		},
		"triggers" : {
			"path" : "/Usage/Triggers"
		}
	}
}